Discovery.h File Reference

UpnpDiscovery object declararion. More...

`#include "UpnpInet.h"`
`#include "TemplateInclude.h"`
Include dependency graph for Discovery.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | CLASS UpnpDiscovery
#define | EXPAND_CLASS_MEMBERS(CLASS)

## Detailed Description

UpnpDiscovery object declararion.

Returned in a UPNP_DISCOVERY_RESULT callback.

Author
  Marcelo Roberto Jimenez

## Macro Definition Documentation

## EXPAND_CLASS_MEMBERS

#define EXPAND_CLASS_MEMBERS | ( |  | CLASS | ) |

Value:
EXPAND_CLASS_MEMBER_INT(CLASS, ErrCode, int) \
EXPAND_CLASS_MEMBER_INT(CLASS, Expires, int) \
EXPAND_CLASS_MEMBER_STRING(CLASS, DeviceID) \
EXPAND_CLASS_MEMBER_STRING(CLASS, DeviceType) \
EXPAND_CLASS_MEMBER_STRING(CLASS, ServiceType) \
EXPAND_CLASS_MEMBER_STRING(CLASS, ServiceVer) \
EXPAND_CLASS_MEMBER_STRING(CLASS, Location) \
EXPAND_CLASS_MEMBER_STRING(CLASS, Os) \
EXPAND_CLASS_MEMBER_STRING(CLASS, Date) \
EXPAND_CLASS_MEMBER_STRING(CLASS, Ext) \
EXPAND_CLASS_MEMBER_BUFFER(CLASS, DestAddr, struct sockaddr_storage) \
CLASS
struct s_CLASS CLASS
Definition: TemplateInclude.h:138